Requirements:
Compatible with iPhone and iPod Touch. Requires iOS 4.0 or later. WIFI, Edge or 3G network connection sometimes required.